import argparse

parser = argparse.ArgumentParser(description="Run training")
parser.add_argument("--mode", type=str, choices=["pretraining", "finetuning"], required=True, help="Training mode to use")
parser.add_argument("--model", type=str, choices=["llama_60m", "llama_1b", "llama_7b", "roberta", "gpt2"], required=True, help="Model to use")
parser.add_argument("--dataset", type=str, choices=["c4", "glue_mnli", "glue_sst-2", "glue_mrpc", "glue_cola", "glue_qnli", "glue_qqp", "glue_rte", "glue_sts-b"], required=True, help="Model to use")

parser.add_argument("--optimizer", type=str, choices=["lora", "galore", "galore8bit", "lora+galore8bit", "baseline"], required=True, help="Optimizer type to use")
parser.add_argument("--weight_decay", type=float, default=0, help="Weight decay for optimizer")
parser.add_argument("--rank", type=int, default=128, help="Rank of the sub-space for LoRA and GaLore")
parser.add_argument("--galore_alpha", type=float, default=1.0, help="Scaling factor for optimizer updates")
parser.add_argument("--galore_T", type=int, default=200, help="Sub-space change frequency")
parser.add_argument("--lora_alpha", type=float, default=1.0, help="Scaling factor for optimizer updates")
parser.add_argument("--lora_dropout", type=float, default=0.1, help="Dropout rate for LoRA")

parser.add_argument("--lr_scheduler", type=str, choices=["constant", "linear", "cosine"], default="constant")
parser.add_argument("--lr", type=float, default=4e-4, help="Learning rate for optimizer")
parser.add_argument("--lr_min", type=float, default=0, help="Minimum learning rate for annealing")
parser.add_argument("--warm_up_fraction", type=float, default=0, help="Fraction of training steps to use maximum learning rate as a warm-up")

parser.add_argument("--batch_size", type=int, default=16, help="Batch size")
parser.add_argument("--num_epochs", type=int, default=1, help="Number of epochs")
parser.add_argument("--max_length", type=int, default=512, help="Max length of input tokens")
parser.add_argument("--num_training_tokens", type=int, default=1e9, help="Number of training tokens")
parser.add_argument("--shuffle", type=str, choices=["true", "false"], default="false", help="Shuffle data (doesn't work in streaming mode)")
parser.add_argument("--dtype", type=str, choices=["bf16", "fp16"], default="fp16", help="Data type to use") # TODO for now just bf16 working
# parser.add_argument("--tmax", type=int, default=30, help="Tmax for scheduler")
parser.add_argument("--lora_config", type=str, default=None, help="Path to LoRa config file")
parser.add_argument("--galore_config", type=str, default=None, help="Path to GaLore config file")

parser.add_argument("--test", type=str, choices=["true", "false"], default="false", help="Test mode")
args = parser.parse_args()
