#!/bin/bash

optimizers=("galore galore8bit lora lora+galore8bit baseline")
for optimizer in $optimizers
do
  python3 main.py \
      --mode finetuning \
      --optimizer "$optimizer" \
      --model roberta \
      --dataset glue_qnli \
      --batch_size 16 \
      --num_epochs 30 \
      --max_length 512 \
      --shuffle false \
      --dtype bf16 \
      --lr_scheduler constant \
      --lr 1e-5 \
      --lr_min 1e-5 \
      --warm_up_fraction 0 \
      --weight_decay 0 \
      --rank 8 \
      --galore_alpha 2 \
      --galore_T 200 \
      --lora_alpha 8 \
      --lora_dropout 0.1 \
      --test false
done