#!/bin/bash

optimizers=("galore galore8bit lora lora+galore8bit baseline")
for optimizer in $optimizers
do
  python3 main.py \
      --mode finetuning \
      --optimizer "$optimizer" \
      --model roberta \
      --dataset glue_sst-2 \
      --batch_size 16 \
      --num_epochs 60 \
      --max_length 512 \
      --shuffle false \
      --dtype bf16 \
      --lr_scheduler linear \
      --lr 5e-4 \
      --lr_min 0.01 \
      --warm_up_fraction 0.06 \
      --weight_decay 0 \
      --rank 8 \
      --galore_alpha 2 \
      --galore_T 200 \
      --lora_alpha 8 \
      --lora_dropout 0.1 \
      --test false
done